com.atid.lib.atx88

## Class AT388Reader

- java.lang.Object
- - com.atid.lib.reader.ATEAReader
  - - com.atid.lib.atx88.ATx88Reader
    - - com.atid.lib.atx88.ATn88Reader
      - - com.atid.lib.atx88.AT388Reader

- All Implemented Interfaces:
    com.atid.lib.atx88.device.ATDeviceATx88.IDeviceEventListener, com.atid.lib.device.IReader, ATransport.IConnectStateEventListener

      public class AT388Reader
      extends ATn88Reader

  The AT388Reader class implements the unique capabilities of the AT388 Device.

- - ### Field Summary

    - ### Fields inherited from class com.atid.lib.reader.ATEAReader

      `DEFALT_BATTERY_CHECK_INTERVAL, INFO, mAction, mBarcode, mCheckBatteryInterval, mDevice, mDeviceVersion, mFailCount, mIsDisconnecting, mIsForceBatteryGauging, mLastError, mLastTime, mRfidHf, mRfidUhf, mTransport, RETRY_COUNT, TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AT388Reader(ATransport transport)` Create an instance of the AT388Reader class.
    `AT388Reader(int sessionId, ATransport transport)` Create an instance of the AT388Reader class.

  - ### Method Summary

    - ### Methods inherited from class com.atid.lib.atx88.ATn88Reader

      `getAlertNotify, getButtonNotify, getButtonNotifyTime, setAlertNotify, setButtonNotify, setButtonNotifyTime`

    - ### Methods inherited from class com.atid.lib.atx88.ATx88Reader

      `assertAction, defaultParameter, destroy, getAutoOffTime, getAutoSaveMode, getBatteryState, getBuzzer, getDisplayOffTime, getOperationMode, getSerialNo, getStoredTagCount, getTime, getUseActionKey, initReader, loadStoredData, onActionChanged, onBatteryState, onEvent, onKeyEvent, onNotificationState, onOperationModeChanged, onStateChanged, onUsbChargerChanged, removeAllStoreadData, reset, saveStoredData, setAutoOffTime, setAutoSaveMode, setBuzzer, setDisplayOffTime, setOperationMode, setSerialNo, setTime, setUsbChargingPhone, setUseActionKey, sleep, sleep, wakeUp, wakeUp`

    - ### Methods inherited from class com.atid.lib.reader.ATEAReader

      `addListener, checkError, clearListener, connect, disconnect, getAction, getAddress, getAutoConnect, getBackupState, getBarcode, getCheckInterval, getConnectType, getDeviceAttached, getDeviceName, getDeviceType, getFullVersionHexa, getLastError, getProtocol, getRfidHf, getRfidUhf, getSessionId, getState, getTransport, getVersion, getVersionHexa, isEmptyRef, listen, onReaderActionChanged, onReaderBatteryState, onReaderKeyChanged, onReaderNotificationState, onReaderOperationModeChanged, onReaderStateChanged, onReaderUsbChargerChanged, removeListener, resetError, setAction, setAddress, setAutoConnect, setCheckInterval, setDeviceName, setDeviceType, setForceBatteryGauging, setLastError, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AT388Reader

          public AT388Reader(ATransport transport)

      Create an instance of the AT388Reader class.
      Parameters:
        `transport` - AT388Reader An instance of an inherited class of the ATransport class that defines how an instance is associated with a Device.

    - #### AT388Reader

          public AT388Reader(int sessionId,
                             ATransport transport)

      Create an instance of the AT388Reader class.
      Parameters:
        `sessionId` - A unique ID number for identifying instances to manage multiple instances.
        `transport` - AT388Reader An instance of an inherited class of the ATransport class that defines how an instance is associated with a Device.